Package org.apache.tomcat.websocket.pojo

# Class PojoEndpointBase

java.lang.Object
javax.websocket.Endpoint
org.apache.tomcat.websocket.pojo.PojoEndpointBase

Direct Known Subclasses:
  `PojoEndpointClient`, `PojoEndpointServer`

public abstract class PojoEndpointBase extends Endpoint
Base implementation (client and server have different concrete implementations) of the wrapper that converts a POJO instance into a WebSocket endpoint instance.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PojoEndpointBase(Map<String,String> pathParameters)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`doOnOpen(Session session, EndpointConfig config)`
`protected PojoMethodMapping`
`getMethodMapping()`
`protected Object`
`getPojo()`
`final void`
`onClose(Session session, CloseReason closeReason)`
Event that is triggered when a session has closed.
`final void`
`onError(Session session, Throwable throwable)`
Event that is triggered when a protocol error occurs.
`protected void`
`setMethodMapping(PojoMethodMapping methodMapping)`
`protected void`
`setPojo(Object pojo)`

### Methods inherited from class javax.websocket.Endpoint

`onOpen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoEndpointBase

protected PojoEndpointBase(Map<String,String> pathParameters)

## Method Details

### doOnOpen

protected final void doOnOpen(Session session, EndpointConfig config)

### onClose

public final void onClose(Session session, CloseReason closeReason)
Description copied from class: `javax.websocket.Endpoint`
Event that is triggered when a session has closed.

Overrides:
  `onClose` in class `Endpoint`
Parameters:
  `session` - The session
  `closeReason` - Why the session was closed

### onError

public final void onError(Session session, Throwable throwable)
Description copied from class: `javax.websocket.Endpoint`
Event that is triggered when a protocol error occurs.

Overrides:
  `onError` in class `Endpoint`
Parameters:
  `session` - The session.
  `throwable` - The exception.

### getPojo

protected Object getPojo()

### setPojo

protected void setPojo(Object pojo)

### getMethodMapping

protected PojoMethodMapping getMethodMapping()

### setMethodMapping

protected void setMethodMapping(PojoMethodMapping methodMapping)